Loading...
Searching...
No Matches
Gudhi::persistence_matrix::Set_column< Master_matrix > Class Template Reference
Persistence Matrix

Column class following the PersistenceMatrixColumn concept. More...

`#include <gudhi/Persistence_matrix/columns/set_column.h>`

## Detailed Description

template<class Master_matrix>
class Gudhi::persistence_matrix::Set_column< Master_matrix >

Column class following the PersistenceMatrixColumn concept.

Column based on a set structure. The entries are always ordered by row index and only non-zero values are stored uniquely in the underlying container.

Template Parameters

  Master_matrix | An instantiation of Matrix from which all types and options are deduced.

The documentation for this class was generated from the following file:

- include/gudhi/Persistence_matrix/columns/set_column.h